### Struct

# Ggit ConfigEntry

#### Description [src]

    struct GgitConfigEntry {
      /* No available fields */
    }

Represents a git configuration entry.

#### Instance methods

###### ggit_config_entry_get_level

Gets the `GgitConfigLevel` of `entry`.

###### ggit_config_entry_get_name

Gets the name of `entry`.

###### ggit_config_entry_get_value

Gets the value of `entry`.

###### ggit_config_entry_ref

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

###### ggit_config_entry_unref

Atomically decrements the reference count of `entry` by one. If the reference count drops to 0, `entry` is freed.